OpenMesh: OpenMesh::IO::BaseImporter Class Reference

| OpenMesh

Public Types | Public Member Functions | List of all members
OpenMesh::IO::BaseImporter Class Referenceabstract

Base class for importer modules. More...

`#include <OpenMesh/Core/IO/importer/BaseImporter.hh>`

Inheritance diagram for OpenMesh::IO::BaseImporter:
[legend]

## Public Types
typedef std::vector< VertexHandle > | VHandles

## Public Member Functions
virtual VertexHandle | add_vertex (const Vec3f &_point)=0
virtual VertexHandle | add_vertex (const Vec3d &_point)
virtual VertexHandle | add_vertex ()=0
virtual HalfedgeHandle | add_edge (VertexHandle _vh0, VertexHandle _vh1)=0
virtual FaceHandle | add_face (const VHandles &_indices)=0
virtual FaceHandle | add_face (HalfedgeHandle _heh)=0
virtual void | add_face_texcoords (FaceHandle _fh, VertexHandle _vh, const std::vector< Vec2f > &_face_texcoords)=0
virtual void | add_face_texcoords (FaceHandle _fh, VertexHandle _vh, const std::vector< Vec3f > &_face_texcoords)=0
virtual void | set_face_texindex (FaceHandle _fh, int _texId)=0
virtual void | set_point (VertexHandle _vh, const Vec3f &_point)=0
virtual void | set_halfedge (VertexHandle _vh, HalfedgeHandle _heh)=0
virtual void | set_normal (VertexHandle _vh, const Vec3f &_normal)=0
virtual void | set_normal (VertexHandle _vh, const Vec3d &_normal)=0
virtual void | set_color (VertexHandle _vh, const Vec3uc &_color)=0
virtual void | set_color (VertexHandle _vh, const Vec4uc &_color)=0
virtual void | set_color (VertexHandle _vh, const Vec3f &_color)=0
virtual void | set_color (VertexHandle _vh, const Vec4f &_color)=0
virtual void | set_texcoord (VertexHandle _vh, const Vec2f &_texcoord)=0
virtual void | set_status (VertexHandle _vh, const OpenMesh::Attributes::StatusInfo &_status)=0
virtual void | set_next (HalfedgeHandle _heh, HalfedgeHandle _next)=0
virtual void | set_face (HalfedgeHandle _heh, FaceHandle _fh)=0
virtual void | request_face_texcoords2D ()=0
virtual void | set_texcoord (HalfedgeHandle _heh, const Vec2f &_texcoord)=0
virtual void | set_texcoord (VertexHandle _vh, const Vec3f &_texcoord)=0
virtual void | set_texcoord (HalfedgeHandle _heh, const Vec3f &_texcoord)=0
virtual void | set_status (HalfedgeHandle _heh, const OpenMesh::Attributes::StatusInfo &_status)=0
virtual void | set_color (EdgeHandle _eh, const Vec3uc &_color)=0
virtual void | set_color (EdgeHandle _eh, const Vec4uc &_color)=0
virtual void | set_color (EdgeHandle _eh, const Vec3f &_color)=0
virtual void | set_color (EdgeHandle _eh, const Vec4f &_color)=0
virtual void | set_status (EdgeHandle _eh, const OpenMesh::Attributes::StatusInfo &_status)=0
virtual void | set_normal (FaceHandle _fh, const Vec3f &_normal)=0
virtual void | set_normal (FaceHandle _fh, const Vec3d &_normal)=0
virtual void | set_color (FaceHandle _fh, const Vec3uc &_color)=0
virtual void | set_color (FaceHandle _fh, const Vec4uc &_color)=0
virtual void | set_color (FaceHandle _fh, const Vec3f &_color)=0
virtual void | set_color (FaceHandle _fh, const Vec4f &_color)=0
virtual void | set_status (FaceHandle _fh, const OpenMesh::Attributes::StatusInfo &_status)=0
virtual void | add_texture_information (int _id, std::string _name)=0
virtual BaseKernel * | kernel ()
virtual bool | is_triangle_mesh () const
virtual void | reserve (unsigned int, unsigned int, unsigned int)
virtual size_t | n_vertices () const =0
virtual size_t | n_faces () const =0
virtual size_t | n_edges () const =0
virtual void | prepare ()
virtual void | finish ()

## Detailed Description

Base class for importer modules.

Importer modules provide an interface between the loader modules and the target data structure. This is basically a wrapper providing virtual versions for the required mesh functions.

The documentation for this class was generated from the following file:

- OpenMesh/Core/IO/importer/BaseImporter.hh